<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>六芒星</title>
</head>
<body>
    <canvas class="hexagram" width="200" height="200" style="border: 1px solid red;"></canvas>
    <script>
        let s=5000;
        let s1=s/Math.sqrt(3);
        let s2=Math.pow(Math.sin(Math.PI/3),2);
        let sideLength=Math.sqrt(s1)/(2*s2);
        let canvas=document.querySelector('.hexagram'),
        context=canvas.getContext('2d');
        let width=canvas.width,
            height=canvas.height;
        let originX=width/2,
            originY=height/2;
        context.lineWidth=1;
        context.translate(originX, originY)
        for(let i=0;i<6;i++){
            if(i===3){
                context.rotate(Math.PI * 2 / 6);
            }
            context.moveTo(0,-sideLength);
            context.lineTo(sideLength * Math.sin(Math.PI / 3), sideLength/ 2);
            context.stroke();
            context.rotate(Math.PI * 2 / 3);
        }
    </script>
</body>
</html>